Loading...
Searching...
No Matches
Halide::Internal::Autoscheduler::Strides Struct Reference

`#include <GPUMemInfo.h>`

## Public Member Functions

| Strides (const std::vector< int64_t > &storage_strides)
void | add_valid (const std::vector< double > &strides)
void | add_invalid ()
bool | valid (size_t loop_index) const
int64_t | offset (size_t loop_index, int64_t point) const
void | dump (bool verbose=false)

## Detailed Description

Definition at line 114 of file GPUMemInfo.h.

## Constructor & Destructor Documentation

## Strides()

Halide::Internal::Autoscheduler::Strides::Strides | ( | const std::vector< int64_t > & | storage_strides | ) |

inline explicit

Definition at line 116 of file GPUMemInfo.h.

## Member Function Documentation

## add_valid()

void Halide::Internal::Autoscheduler::Strides::add_valid | ( | const std::vector< double > & | strides | ) |

inline

Definition at line 120 of file GPUMemInfo.h.

## add_invalid()

void Halide::Internal::Autoscheduler::Strides::add_invalid | ( |  | ) |

inline

Definition at line 124 of file GPUMemInfo.h.

## valid()

bool Halide::Internal::Autoscheduler::Strides::valid | ( | size_t | loop_index | ) | const

inline

Definition at line 128 of file GPUMemInfo.h.

Referenced by dump(), and offset().

## offset()

int64_t Halide::Internal::Autoscheduler::Strides::offset | ( | size_t | loop_index,
|  | int64_t | point ) const

inline

Definition at line 132 of file GPUMemInfo.h.

References internal_assert, and valid().

## dump()

void Halide::Internal::Autoscheduler::Strides::dump | ( | bool | verbose = false | ) |

inline

Definition at line 143 of file GPUMemInfo.h.

References valid().

The documentation for this struct was generated from the following file:

- src/autoschedulers/anderson2021/GPUMemInfo.h